Subject: [PATCH] ARM: print cma-reserved pages from show_mem

From: [email-masked] (Mel Gorman)
Date: Mon, 13 Apr 2015 11:04:26 +0100

On Mon, Apr 13, 2015 at 10:56:45AM +0100, Russell King - ARM Linux wrote:
> On Sun, Apr 12, 2015 at 06:21:15PM -0700, Gregory Fong wrote:
> > On Sun, Apr 12, 2015 at 06:09:13PM -0700, Gregory Fong wrote:
> > > And now we see 83 slab_reclaimable + 846 slab_unreclaimable adds up
> > > correctly to the total of 929.
> > > 
> > > The patch below will end up with the correct count.
> > > 
> > 
> > Sorry, messed up the patch formatting.  Here it is fixed:
> 
> So now the question is: do we fix this, or do we use the generic version?
> Given that the total number of slab pages can be easily deduced from the
> generic statistics, do we need to modify the generic version to print an
> additional line with this?

Whatever ARM decides, I do not think the generic version needs to do
a PFN walk to recaluate the SLAB statistics. The slab_reclaimable and
slab_unreclaimable stats based on the vmstat counters is sufficient. 

-- 
Mel Gorman
SUSE Labs